| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint | |
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
static SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
StaticEndpointBuilders.hwcloudSmn(String path)
Huawei Cloud Simple Message Notification (SMN) (camel-huaweicloud-smn)
To broadcast messages and connect cloud services through notifications on
Huawei Cloud
Category: cloud,messaging
Since: 3.8
Maven coordinates: org.apache.camel:camel-huaweicloud-smn
Syntax:
hwcloud-smn:smnService
Path parameter: smnService (required)
Name of SMN service to invoke |
static SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
StaticEndpointBuilders.hwcloudSmn(String componentName,
String path)
Huawei Cloud Simple Message Notification (SMN) (camel-huaweicloud-smn)
To broadcast messages and connect cloud services through notifications on
Huawei Cloud
Category: cloud,messaging
Since: 3.8
Maven coordinates: org.apache.camel:camel-huaweicloud-smn
Syntax:
hwcloud-smn:smnService
Path parameter: smnService (required)
Name of SMN service to invoke |
| Modifier and Type | Method and Description |
|---|---|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.authKey(String authKey)
Authentication key for the cloud user.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.endpoint(String endpoint)
Fully qualified smn service url.
|
static SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.endpointBuilder(String componentName,
String path) |
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationBuilders.hwcloudSmn(String path)
Huawei Cloud Simple Message Notification (SMN)
(camel-huaweicloud-smn)
To broadcast messages and connect cloud services through
notifications on Huawei Cloud
Category: cloud,messaging
Since: 3.8
Maven coordinates: org.apache.camel:camel-huaweicloud-smn
Syntax:
hwcloud-smn:smnService
Path parameter: smnService (required)
Name of SMN service to invoke |
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationBuilders.hwcloudSmn(String componentName,
String path)
Huawei Cloud Simple Message Notification (SMN)
(camel-huaweicloud-smn)
To broadcast messages and connect cloud services through
notifications on Huawei Cloud
Category: cloud,messaging
Since: 3.8
Maven coordinates: org.apache.camel:camel-huaweicloud-smn
Syntax:
hwcloud-smn:smnService
Path parameter: smnService (required)
Name of SMN service to invoke |
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.ignoreSslVerification(boolean ignoreSslVerification)
Ignore SSL verification.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.ignoreSslVerification(String ignoreSslVerification)
Ignore SSL verification.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.messageTtl(int messageTtl)
TTL for published message.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.messageTtl(String messageTtl)
TTL for published message.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.operation(String operation)
Name of operation to perform.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.projectId(String projectId)
Cloud project ID.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.proxyHost(String proxyHost)
Proxy server ip/hostname.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.proxyPassword(String proxyPassword)
Proxy authentication password.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.proxyPort(int proxyPort)
Proxy server port.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.proxyPort(String proxyPort)
Proxy server port.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.proxyUser(String proxyUser)
Proxy authentication user.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.region(String region)
SMN service region.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.secretKey(String secretKey)
Secret key for the cloud user.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.serviceKeys(Object serviceKeys)
Configuration object for cloud service authentication.
|
default SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder |
SimpleNotificationEndpointBuilderFactory.SimpleNotificationEndpointBuilder.serviceKeys(String serviceKeys)
Configuration object for cloud service authentication.
|
Apache Camel